using System;
using System.Collections.Generic;
using System.Text;

namespace DeferredEvaluation
{
    class PrintWhenGetting
    {
        private int instanceNumber;
        public int InstanceNumber
        {
            set { instanceNumber = value; }
            get
            {
                Console.WriteLine($"Pobieranie nr {instanceNumber}");
                return instanceNumber;
            }
        }
    }

}
